/*--------------------------------------------------------------------------
  (c) Vinod Dahiya & Hemant Kumar
----------------------------------------------------------------------------
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
--------------------------------------------------------------------------*/


#ifndef MEMVIEW_H__
#define MEMVIEW_H__

/*################### Enumerations ##################*/
enum MEMCOL{MEM_ADDR_COL,MEM_DATA_COL,MEM_TR_COL};

/*################## Globals ########################*/
extern GtkTreeModel *memview_model;
extern GtkTreeIter memview_iter;
extern GObject *codeview_ref; 

/*################ Structure for codeview refrence ###########*/
struct codeview_ref_info{
	GtkWidget *page;
	gchar *path;
};

/*################### Functions #####################*/
extern GtkWidget *gsim_get_memview_box( void );
extern void show_hide_memview(void);
extern void view_data_edited(GtkCellRendererText *cell,const gchar *path_string,const gchar *new_text,gpointer model);
extern void memview_scroll_to_address(gint x);
extern void gsim_memview_change_range(void);

#endif
